%define ghc_ver %(ghc --numeric-version)
%define pkgname regex-pcre-builtin

Name:          ghc-regex-pcre-builtin
Version:       0.94.4.8.8.35
Release:       1mamba
Summary:       GHC library: PCRE backend to accompany regex-base
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://hackage.haskell.org/package/%{pkgname}
Source:        http://hackage.haskell.org/packages/archive/regex-pcre-builtin/%{version}/regex-pcre-builtin-%{version}.tar.gz
License:       BSD
## AUTOBUILDREQ-BEGIN
## AUTOBUILDREQ-END
BuildRequires: ghc
Requires:      ghc = %{ghc_ver}
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
The PCRE backend to accompany regex-base, with bundled code from www.pcre.org.

%prep
%setup -q -n regex-pcre-builtin-%{version}

%build
runghc Setup.hs configure -v2 \
   --prefix=%{_prefix} \
   --libdir=%{_libdir} \
   --libexecdir=%{_libexecdir} \
   --docdir=%{_docdir}/%{name}-%{version}

runghc Setup.hs build
runghc Setup.hs haddock --executable --html-location=URL --hyperlink-source

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
runghc Setup.hs copy --destdir=%{buildroot}
runghc Setup.hs register \
   --gen-pkg-config="%{buildroot}%{_libdir}/ghc-%{ghc_ver}/%{pkgname}-%{version}/%{pkgname}-%{version}.conf"

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post
ghc-pkg register %{_libdir}/ghc-%{ghc_ver}/%{pkgname}-%{version}/%{pkgname}-%{version}.conf &>/dev/null || :

%preun
ghc-pkg unregister %{pkgname}-%{version} &>/dev/null || :

%files
%defattr(-,root,root)
%{_libdir}/ghc-%{ghc_ver}/%{pkgname}-%{version}
%dir %{_docdir}/%{name}-%{version}
%{_docdir}/%{name}-%{version}/LICENSE
%{_docdir}/%{name}-%{version}/html

%changelog
* Mon Apr 13 2015 Davide Madrisan <davide.madrisan@gmail.com> 0.94.4.8.8.35-1mamba
- update to 0.94.4.8.8.35

* Sun Sep 08 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 0.94.4.7.8.31-1mamba
- package created by silvan using the webbuild interface
